# $Revision: 1.10 $, $Date: 2012/07/08 11:12:25 $
#
# Conditional build:
%bcond_with		gtk3		# build GTK+3 disables GTK+2
%bcond_without		gtk2	# build with GTK+2

%if %{with gtk3}
%undefine	with_gtk2
%endif

Summary:	GPicView: Picture viewer of LXDE
Name:		gpicview
Version:	0.2.3
Release:	1
License:	GPL v2, LGPL
Group:		X11/Applications
Source0:	http://downloads.sourceforge.net/lxde/%{name}-%{version}.tar.gz
# Source0-md5:	bca9ffe1d283ed3dbb13bada7feb7e89
URL:		http://wiki.lxde.org/en/GPicView
BuildRequires:	autoconf
BuildRequires:	automake
BuildRequires:	gettext-devel
BuildRequires:	glib2-devel
%{?with_gtk2:BuildRequires:	gtk+2-devel >= 2:2.12.0}
%{?with_gtk3:BuildRequires:	gtk+3-devel}
BuildRequires:	intltool
BuildRequires:	libjpeg-devel
BuildRequires:	libtool
BuildRequires:	pkgconfig
Requires:	desktop-file-utils
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
GPicView is the standard picture viewer of LXDE.

Features:
- Extremely lightweight and fast with low memory usage
- Very suitable for default image viewer of desktop system
- Simple and intuitive interface

%prep
%setup -q

%build
%{__libtoolize}
%{__aclocal}
%{__autoheader}
%{__autoconf}
%{__intltoolize}
%configure \
	%{?with_gtk3:--enable-gtk3}
%{__make} V=1

%install
rm -rf $RPM_BUILD_ROOT
%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

# missing in glibc
%{__rm} -r $RPM_BUILD_ROOT%{_datadir}/locale/{frp,ur_PK}

%find_lang %{name}

%clean
rm -rf $RPM_BUILD_ROOT

%post
%update_desktop_database

%files -f %{name}.lang
%defattr(644,root,root,755)
%attr(755,root,root) %{_bindir}/%{name}
%{_desktopdir}/%{name}.desktop
%dir %{_datadir}/%{name}
%{_datadir}/%{name}/pixmaps
%{_datadir}/%{name}/ui
%{_pixmapsdir}/%{name}.png

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: gpicview.spec,v $
Revision 1.10  2012/07/08 11:12:25  witekfl
- 0.2.3
- verbose build

Revision 1.9  2011/09/18 18:32:06  glen
- update-desktop-database (.desktop specifies MimeType)

Revision 1.8  2011/08/15 17:18:41  glen
- rebuild

Revision 1.7  2011/08/15 14:59:11  lmasko
- Locale fix.

Revision 1.6  2011/08/15 08:11:29  glen
- up to 0.2.2, gtk3 bcond

Revision 1.5  2010/09/14 19:48:53  glen
- more precise urls

Revision 1.4  2010/07/30 13:26:16  glen
- adapter

Revision 1.3  2010/07/30 13:25:54  glen
- release 1

Revision 1.2  2010/07/30 13:24:55  glen
- BR: gettext-devel, glib2-devel, gtk+2-devel, intltool, libjpeg-devel, pkgconfig

Revision 1.1  2010/07/30 09:26:44  glen
- new
